## API 调用规则

本文档中所有请求服务端 API 接口的请求均使用此规则校验，以下不再重复说明。

API 接口统一请求URL ```http://api.abc.com/```

每次请求 API 接口时，均需要提供 HTTP Request Header，具体如下：

名称 | 类型 | 说明
--- | --- | ---
```nonce``` | String | 随机生成的```32```位数字
```timestamp``` | String | 客户端时间，时间戳
```auth``` | String | ```（选填）```不需用户登录的 API 不传该项，如需用户登录的 API ,需要传该项
```sign``` | String | 数据签名。