define({
  "name": "接口文档名称",
  "version": "1.0.0",
  "description": "接口文档描述",
  "title": "接口文档浏览器标题",
  "url": "http://api.abc.com/",
  "header": {
    "title": "API 错误返回值说明",
    "content": "<h1>API 错误返回值说明</h1>\n<h2>错误返回示例</h2>\n<p>{\n&quot;code&quot; : -1,\n&quot;msg&quot; : &quot;params missing&quot;,\n}</p>\n<h2>HTTP 状态码</h2>\n<table>\n<thead>\n<tr>\n<th>code</th>\n<th>描述</th>\n<th>说明</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>-1</td>\n<td>错误提交</td>\n<td>具体看返回的错误信息</td>\n</tr>\n<tr>\n<td>401</td>\n<td>鉴权失败</td>\n<td>access_token过期或者不正确，重新登录</td>\n</tr>\n<tr>\n<td>404</td>\n<td>路由不存在或者资源不存在</td>\n<td>访问的url不存在或者对应资源不存在</td>\n</tr>\n<tr>\n<td>500</td>\n<td>服务器内部错误</td>\n<td>内部服务器出错</td>\n</tr>\n</tbody>\n</table>\n"
  },
  "footer": {
    "title": "接口通用规则",
    "content": "<h2>API 调用规则</h2>\n<p>本文档中所有请求服务端 API 接口的请求均使用此规则校验，以下不再重复说明。</p>\n<p>API 接口统一请求URL <code>http://api.abc.com/</code></p>\n<p>每次请求 API 接口时，均需要提供 HTTP Request Header，具体如下：</p>\n<table>\n<thead>\n<tr>\n<th>名称</th>\n<th>类型</th>\n<th>说明</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td><code>nonce</code></td>\n<td>String</td>\n<td>随机生成的<code>32</code>位数字</td>\n</tr>\n<tr>\n<td><code>timestamp</code></td>\n<td>String</td>\n<td>客户端时间，时间戳</td>\n</tr>\n<tr>\n<td><code>auth</code></td>\n<td>String</td>\n<td><code>（选填）</code>不需用户登录的 API 不传该项，如需用户登录的 API ,需要传该项</td>\n</tr>\n<tr>\n<td><code>sign</code></td>\n<td>String</td>\n<td>数据签名。</td>\n</tr>\n</tbody>\n</table>\n"
  },
  "sampleUrl": false,
  "defaultVersion": "0.0.0",
  "apidoc": "0.3.0",
  "generator": {
    "name": "apidoc",
    "time": "2020-05-17T00:24:45.215Z",
    "url": "http://apidocjs.com",
    "version": "0.22.1"
  }
});
